Package org.jbpm.casemgmt.api.event

## Class CaseReopenEvent

- java.lang.Object
- - org.jbpm.casemgmt.api.event.CaseEvent
  - - org.jbpm.casemgmt.api.event.CaseReopenEvent

-     public class CaseReopenEvent
      extends CaseEvent

  Represents occurrence of start case operation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CaseReopenEvent​(String user, String caseId, CaseFileInstance caseFile, String deploymentId, String caseDefinitionId, Map<String,​Object> data)` |
    `CaseReopenEvent​(String user, String caseId, CaseFileInstance caseFile, String deploymentId, String caseDefinitionId, Map<String,​Object> data, Long processInstanceId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCaseDefinitionId()` | Returns case definition id
    `Map<String,​Object>` | `getData()` | Returns case file associated with the case
    `String` | `getDeploymentId()` | Returns deployment id that case belongs to
    `Long` | `getProcessInstanceId()` | Returns process instance id of the case process instance
    `String` | `toString()` |

    - ### Methods inherited from class org.jbpm.casemgmt.api.event.CaseEvent

      `getCaseFile, getCaseId, getUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseReopenEvent

          public CaseReopenEvent​(String user,
                                 String caseId,
                                 CaseFileInstance caseFile,
                                 String deploymentId,
                                 String caseDefinitionId,
                                 Map<String,​Object> data)

    - #### CaseReopenEvent

          public CaseReopenEvent​(String user,
                                 String caseId,
                                 CaseFileInstance caseFile,
                                 String deploymentId,
                                 String caseDefinitionId,
                                 Map<String,​Object> data,
                                 Long processInstanceId)

  - ### Method Detail

    - #### getDeploymentId

          public String getDeploymentId()

      Returns deployment id that case belongs to

    - #### getCaseDefinitionId

          public String getCaseDefinitionId()

      Returns case definition id

    - #### getData

          public Map<String,​Object> getData()

      Returns case file associated with the case

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Returns process instance id of the case process instance

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`